# Pypergraph: Python SDK for Constellation Network
---

Pypergraph is a Python package that enables secure wallet functionalities and interaction with Constellation Network APIs. Inspired by DAG for JavaScript ([DAG4JS](https://github.com/StardustCollective/dag4.js)).

View [documentation here](https://pypergraph-dag.readthedocs.io).

[![Read the Docs](https://img.shields.io/readthedocs/pypergraph-dag)](https://pypergraph-dag.readthedocs.io)
[![PyPI - Version](https://img.shields.io/pypi/v/pypergraph-dag)](https://pypi.org/project/pypergraph-dag/)
![Python Version from PEP 621 TOML](https://img.shields.io/python/required-version-toml?tomlFilePath=https%3A%2F%2Fraw.githubusercontent.com%2Fbuzzgreyday%2Fpypergraph%2Frefs%2Fheads%2Fmaster%2Fpyproject.toml)
![LICENSE](https://img.shields.io/badge/license-MIT-blue.svg)

<a href="https://www.buymeacoffee.com/buzzgreyday" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" style="height: 60px !important;width: 217px !important;" ></a>

---

# Installation

## Setup Virtual Environment

1. **Ensure Python 3.9+ is installed.**  
   Installation instructions are available on [python.org/downloads](https://www.python.org/downloads/) or via [pyenv](https://github.com/pyenv/pyenv).

2. **Create a virtual environment:**

       python -m venv venv

3. **Activate the virtual environment:**

   - **Linux/MacOS:**

         source venv/bin/activate

   - **Windows:**

         .\venv\Scripts\activate

## Install Through PyPI

> **Note:**  
> This package is currently in alpha. Since changes happen rapidly during development, this method might not provide the absolute latest version for testing if the package version was not bumped between releases.

4. **Install the package from PyPi:**

       pip install pypergraph-dag
